Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 420 - pcmcia and 3c574 difficulties
Summary: pcmcia and 3c574 difficulties
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-14 23:07 UTC by novermon
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-30 21:52:34 UTC


Attachments (Terms of Use)

Description novermon 1998-12-14 23:07:28 UTC
I have a Compaq Armada 4220T and a 3Com 3c574 10/100 10baseT
PCMCIA network card. I have tried to connect to several
different 10baseT networks. Most of the time, the pcmcia
system picks up the card, loads the correct modules into the
kernel, starts inetd, and nothing works. I can ping the
interface from the host machine, but the packets end up on
the lo interface packet count. For absolutely no discerable
reason, with no changes to any configuration files, the same
normal bootup ends up with a successful network connection.
I have tried rebooting, kill -1ing the cardmgr, switching
slots, different networks, warm reboots, cold reboots, and
soft ifconfig/ifup/ifport resets. All in all, most of the
time I am prevented from connecting to any network and
getting work done. Love you, love RedHat Linux, help please.
It is hard to convince management Linux is good when I can't
give them the network server/system demos. :0

Neil Overmon
novermon@nekesc.org

Comment 1 rbucker 1998-12-15 02:27:59 UTC
I have had the exact same problem. Unfortunately the 3COM-3C574TX is
considered UNSTABLE.  three possible suggestions that were reported as
working:
1. turn debug mode on...   -DPCMCIA_DEBUG=1
2. execute  /sbin/init.d/pcmcia restart
3. cardctl eject/cardctl insert
(I got these suggestions from hyper.stanford.edu, however I'm not sure
where the edits are supposed to be made or the distribution that it
works with)

Comment 2 David Lawrence 1998-12-30 21:52:59 UTC
As stated by the second user, the 3Com 574 is still considered
experimental and therefore we recommend using a network card that is
on the well-supported list.

Comment 3 Alan Shutko 1999-06-24 21:57:59 UTC
This bug was fixed in pcmcia_cs 3.0.11.  Upgrading to that would
remove this problem and make the 3c574 workable (if not ideal).  Is
there any way this might be upgraded?

From the release notes:

The big news is that the most serious 3c574_cs bug has been fixed. I
finally got a code snippet from 3Com from their
 driver initialization routine, and dropping it into 3c574_cs
immediately solved the problem where the card simply refused
 to do anything. I also added some code to monitor the transceiver
status, and to also check for and sort-of recover
 from missed interrupts. Performance on 100baseT still stinks.


Note You need to log in before you can comment on or make changes to this bug.